package ei.game.input;

import org.lwjgl.input.Keyboard;

import ei.engine.LWJGLGameWindow;
import ei.engine.input.KeyboardInput;

public class MenuKeyboardInput extends KeyboardInput{

	public MenuKeyboardInput() {
		super("InGameKeyboardInput");
	}

	@Override
	public void keyDown(int keycode) {
		if (Keyboard.KEY_ESCAPE == keycode) {
			LWJGLGameWindow.exit();
		}
	}

	@Override
	public void keyUp(int keycode) {}

}
